### Function

# EDataServer enum_from_string

since: 3.8

#### Declaration [src]

    gboolean
    e_enum_from_string (
      GType enum_type,
      const gchar* string,
      gint* enum_value
    )

#### Description [src]

Fetches the appropriate enumeration value for `string` in the given enum type `type` and stores the result in `enum_value`.

Available since: 3.8

#### Parameters

`enum_type`

  Type: `GType`

  The enum type.

`string`

  Type: `const gchar*`

  The string containing the enum value or nick.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`enum_value`

  Type: `gint*`

  A return location to store the result.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the string was a valid name or nick for the given `type`, `FALSE` if the conversion failed.